#ifndef ACCELEROMETER_H__
#define ACCELEROMETER_H__

#define SPI_OPERATING_FREQUENCY (0x02000000uL << (uint32_t)Freq_1Mbps)  /**< Slave clock frequency. */

// SPI0. 
#define SPI_PSELSCK0            25u                                     /**< SPI clock GPIO pin number. */
#define SPI_PSELMOSI0           20u                                     /**< SPI Master Out Slave In GPIO pin number. */
#define SPI_PSELMISO0           22u                                     /**< SPI Master In Slave Out GPIO pin number. */
#define SPI_PSELSS0             24u                                     /**< SPI Slave Select GPIO pin number. */


#include "simple_uart.h"
#include "spi_master.h"
#include "nrf_error.h"

/**@brief   Function for initiating the accelerometer
 * @details TODO define later
 *          
 *          
 */
void accelerometer_init(void);

/**@brief   Function for testing the accelerometer
 * @details TODO define later
 *          
 *          
 */
void accelerometer_test(void);

#endif // ACCELEROMETER_H__
